Bug 103212 - Xwindows and keyboard hang with xscreensaver
Xwindows and keyboard hang with xscreensaver
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 15:04 EDT by Inaki
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Inaki 2003-08-27 15:04:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
I have updated the kernel from 2.4.18-24.7.x to kernel-2.4.20-20.7 using 
up2date.

Now, when screensaver startup or I go to the configuration of screensaver, the 
Xwindows and keyboard don't work. The mouse is OK.

I make ssh from another machime, and ps aux shows that "/usr/bin/X11/X
:0 -auth /var/gdm/:0.Xauth" is using a lot of CPU. The CPU percent increases 
continuously.

The system only hangs with the new kernel. I have updated the kernel in a 
second PC, and the problem occurs too. In both PCs the video display card is a 
ATI Radeon VE.

In the XFree86.0.log file, every few minutes, the next three lines are
included:

GetModeLine - scrn: 0 clock: 94500
GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
              vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5

Version-Release number of selected component (if applicable):
kernel-2.4.20-20.7, xscreensaver-3.33-4, XFree86-4.2.1-13.73.3, gdm-2.2.3.1-23

How reproducible:
Always

Steps to Reproduce:
1. In Gnome: Programs -> Configuration -> Desk -> screensaver
2.
3.
    

Actual Results:  the Xwindows and keyboard don't work. The mouse is OK

Expected Results:  It can be changed the configuration of the screensaver

Additional info:
Comment 1 Bill Nottingham 2003-08-27 15:15:08 EDT
I'd guess this is an issue with DRM for your chipset.
Comment 2 Inaki 2003-08-28 05:19:42 EDT
 Allways (with older Kernels), ps aux showed that "/usr/bin/X11/X :0 -
auth /var/gdm/:0.Xauth" was using more percent of CPU than others. With the new 
Kernel (2.4.20-20.7), when I run some screensaver, the CPU percent increases 
continuously, rising the 99%.

 I have another PC, with ATI Mach64, that also in the XFree86.0.log file, every 
few minutes, the next three lines are included:

GetModeLine - scrn: 0 clock: 94500
GetModeLine - hdsp: 1024 hbeg: 1072 hend: 1168 httl: 1376
              vdsp: 768 vbeg: 769 vend: 772 vttl: 808 flags: 5
Comment 3 Bugzilla owner 2004-09-30 11:41:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.